package cn.com.qmth.examcloud.app;

import cn.com.qmth.examcloud.app.core.utils.StrUtils;
import cn.com.qmth.examcloud.app.service.RedisService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import static cn.com.qmth.examcloud.app.model.Constants.APP_SESSION_USER_KEY_PREFIX;

@RunWith(SpringRunner.class)
@SpringBootTest
public class ServiceTest {
    @Autowired
    private RedisService redisService;

    @Test
    public void demo() throws Exception {
        String key = "U_C_109_18809";
        Object obj = redisService.getRedisTemplate().opsForValue().get(key);
        System.out.println(obj);

        String loginInfo = redisService.get(APP_SESSION_USER_KEY_PREFIX + StrUtils.md5Key(key));
        System.out.println(loginInfo);
    }

}